
html {
  scroll-behavior: smooth;
}

header {
  position: fixed;
  top: 0;
  width: 100%;
  background-color: #0a2342;
  z-index: 1000;
  border-bottom: 1px solid #4ecdc4;
  box-shadow: 0 2px 16px rgba(0, 0, 0, 0.5);
}

nav {
  max-width: 1024px;
  margin: 0 auto;
  padding: 10px 20px;
  display: flex;
  justify-content: center;
}
.nav-links {
  list-style: none;
  display: flex;
  flex-wrap: wrap; 
  gap: 30px;
  margin: 0;
  padding: 0;
}
.nav-link {
  color: #ccc;
  text-decoration: none;
  font-weight: bold;
  padding: 8px 4px;
  position: relative;
}
.nav-link.active,
.nav-link:hover {
  color: #4ecdc4;
}
.nav-link.active::after {
  content: '';
  display: block;
  height: 2px;
  background: #4ecdc4;
  width: 100%;
  margin-top: 4px;
  border-radius: 1px;
}

body {
  padding-top: 60px;
  margin: 0;
  background-color: #0a2342;
  color: #ffffff;
  font-family: sans-serif;
  scroll-behavior: smooth;
}

.wrapper {
  max-width: 1024px;
  margin: 0 auto;
  padding: 40px 20px;
}


#intro {
  display: flex;
  justify-content: center;
  text-align: center;
  min-height: auto;
  align-items: flex-start; 
  flex-direction: column;
  padding: 80px 0 40px; 
}
.intro-text h1{
  font-size: 3rem;
  margin-bottom: 0.5rem;
}
.intro-text p {
  font-size: 1.25rem;
  color: #ddd;
  margin-bottom: 24px; 
}


.about-box {
  max-width: 700px;
  margin: 0 auto;               
  background-color: #112a43;    
  border: 2px solid #4ecdc4;   
  border-radius: 12px;
  padding: 20px;
}
.about-box p{
  margin: 0;
  color: #ccc;
  line-height: 1.6;
  font-size: 1.4rem;
  margin-bottom: 14px;
}

#projects {
  padding: 80px 0;
}
.divider {
  width: 100%;
  background-color: #112a43;
  border-top: 2px solid #4ecdc4;
  border-bottom: 2px solid #4ecdc4;
  padding: 16px 0;
  margin: 40px auto;   
  text-align: center;
  box-sizing: border-box;
}

.divider span {
  color: #ddd;
  font-size: 2.25rem;
  line-height: 1;
  background-color: #112a43;
  padding: 0 8px;
}

.projects-grid {
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.project-card {
  background-color: #112a43;
  border-radius: 0 0 12px 12px;
  overflow: hidden;
  transition: transform 0.2s ease;
  display: flex;
  flex-direction: column;
  transition: transform 0.2s ease, box-shadow 0.2s ease;
  box-shadow: 0 2px 6px rgba(0,0,0,0.3);
  cursor: pointer;
}
.project-card:hover {
  box-shadow: 0 8px 30px #3ed6cb;
  transform: translateY(-3px);
}
.project-card img {
  width: 100%;
  display: block;
}
.project-card .content {
  padding: 16px;
  flex: 1;
  display: flex;
  flex-direction: column;
}
.project-card h2 {
  margin: 0 0 8px;
  font-size: 1.25rem;
}
.project-card p {
  flex: 1;
  font-size: 1rem;
  color: #ccc;
}

.extra-info {
  background-color: #112a43;
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.4s ease, padding-top 0.4s ease, padding-bottom 0.4s ease;
  padding: 0 16px;
  flex: 0 0 auto;
  display: flex;
  flex-direction: column;
  gap: 16px;
}
.extra-info p {
  margin: 16px 0;
  color: #ddd;
  font-size: 1.25rem;
}

.project-card.expanded .extra-info {
  max-height: 2000px; 
  padding-bottom: 16px;
  padding-top: 16px;
}

.button-container {
  display: flex;
  justify-content: center;
  flex-wrap: wrap; 
  gap: 10px;        
  margin-top: 1em;
}

.btn-link {
  background-color: #4ecdc4;
  text-decoration: none;
  padding: 20px 76px;
  border-radius: 6px;
  font-weight: bold;
  transition: background-color 0.3s ease;
  display: inline-block;
  text-align: center;
  min-width: 120px; 
  color: #0a2342;
}

.btn-link:hover {
  background-color: #3bb5ad;
  color: #0a2342;
}

.video-preview {
  position: relative;
  display: block;
  width: 100%;
  max-width: 560px;
  height: 315px;
  margin: 0 auto;
}

.card-header {
  background-color: #112a43;     
  border: 2px solid #4ecdc4;    
  border-radius: 12px 12px 0 0;      
  padding: 16px 16px; 
  overflow-wrap: break-word;
  word-break: break-word;               
  
  text-align: center;
  z-index: 10;                       
}

.card-header h2 {
  margin: 0;
  font-size: 2rem;
  color: #ddd;
  word-wrap: break-word;
  white-space: normal;
  text-align: center;            
}

#contact p {
  font-size: 1.5rem;
  color: #ddd;
  margin-bottom: 24px; 
}

.contact-box {
  max-width: 700px;
  margin: 0 auto;               
  background-color: #112a43;    
  border: 2px solid #4ecdc4;   
  border-radius: 12px;
  padding: 20px;
}
.contact-box p {
  margin: 0;
  color: #ccc;
  line-height: 1.6;
  font-size: 1rem;
}

.resume-btn {
  display: block; 
  margin: 1rem auto 0;
  text-decoration: none;
  text-align: center;
  padding: 1rem 1rem;
  border-radius: 4px;
  background-color: #4ecdc4;
  transition: background-color 0.3s ease;
  color: #0a2342;
  font-weight: bold;
  align-self: center;
  width: 40%;   
}

.resume-btn:hover {
  background-color: #2bc2b7;
}

.connect-line {
  display: flex;
  align-items: center;
  gap: 0.5rem;
}

.connect-line p {
  margin: 1.5rem 0 0.5rem;
  font-weight: 600;
  font-size: 1rem;
  color: #333;
  line-height: 1;
  align-self: center; 
}

.linkedin-icon {
  height: 2rem; 
  width: auto; 
  align-self: center;
}

.mail-line {
  display: flex;
  align-items: center;
  gap: 0.5rem;
  word-break: break-word;
}

.mail-line p {
  margin: 1.5rem 0 0.5rem;
  font-weight: 600;
  font-size: 1rem;
  color: #333;
  line-height: 1;
  align-self: center; 
}

footer {
  margin-top: 40px;
  width: 100%;
  background-color: #0a2342;;
  border-top: 1px solid #4ecdc4;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 1rem 0;
}

footer p {
  align-self: center; 
  color: #ccc;
  line-height: 1.6;
  font-size: 1rem;
}

@media (max-width: 600px) {
  #intro h1 {
    font-size: 2.5rem;
  }
  .divider span {
    font-size: 1.25rem;
  }

  nav {
    padding: 10px 10px;
  }

  .nav-links {
    align-items: center;
    gap: 10px;
  }

  .nav-link {
    padding: 6px 0;
    font-size: 1rem;
  }
}